Bug 1760577 - "odo push" doesn't delete OpenShift objects when component name is changed
Summary: "odo push" doesn't delete OpenShift objects when component name is changed
Keywords:
Status: NEW
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: odo
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Girish Ramnani
QA Contact: Amit
Yana Hontyk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-10 21:10 UTC by Yana Hontyk
Modified: 2020-05-21 17:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift odo issues 2172 0 'None' closed "odo push" doesn't delete OpenShift objects when component name is changed 2020-04-27 22:58:03 UTC

Description Yana Hontyk 2019-10-10 21:10:03 UTC
Description of problem:
OpenShift objects from component with old name don't get deleted


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Created a component and pushed it.
2.  Changed the name of the component by doing odo config set name fancy-name and pushed it using odo push --config.
3.    OpenShift objects created in step 1 don't get deleted.

Actual results:
OpenShift objects from component with old name don't get deleted

Expected results:
OpenShift objects from component with old name should get deleted

Additional info:


Note You need to log in before you can comment on or make changes to this bug.